org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class StoreTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.StoreTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.StoreTest.Traversals

- Enclosing class:
    StoreTest

      public static class StoreTest.Traversals
      extends StoreTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.StoreTest

      `StoreTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Collection>` | `get_g_V_storeXaX_byXnameX_out_capXaX()`
    `Traversal<Vertex,Collection>` | `get_g_V_storeXaX_byXoutEXcreatedX_countX_out_out_storeXaX_byXinEXcreatedX_weight_sumX_capXaX()`
    `Traversal<Vertex,Collection>` | `get_g_VX1X_storeXaX_byXnameX_out_storeXaX_byXnameX_name_capXaX(Object v1Id)`
    `Traversal<Vertex,Set<String>>` | `get_g_withSideEffectXa_setX_V_both_name_storeXaX_capXaX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.StoreTest

      `g_V_storeXa_nameX_out_capXaX, g_V_storeXaX_byXoutEXcreatedX_countX_out_out_storeXaX_byXinEXcreatedX_weight_sumX, g_VX1X_storeXaX_byXnameX_out_storeXaX_byXnameX_name_capXaX, g_withSideEffectXa_setX_V_both_name_storeXaX_capXaX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_storeXaX_byXnameX_out_capXaX

          public Traversal<Vertex,Collection> get_g_V_storeXaX_byXnameX_out_capXaX()

      Specified by:
        `get_g_V_storeXaX_byXnameX_out_capXaX` in class `StoreTest`

    - #### get_g_VX1X_storeXaX_byXnameX_out_storeXaX_byXnameX_name_capXaX

          public Traversal<Vertex,Collection> get_g_VX1X_storeXaX_byXnameX_out_storeXaX_byXnameX_name_capXaX(Object v1Id)

      Specified by:
        `get_g_VX1X_storeXaX_byXnameX_out_storeXaX_byXnameX_name_capXaX` in class `StoreTest`

    - #### get_g_withSideEffectXa_setX_V_both_name_storeXaX_capXaX

          public Traversal<Vertex,Set<String>> get_g_withSideEffectXa_setX_V_both_name_storeXaX_capXaX()

      Specified by:
        `get_g_withSideEffectXa_setX_V_both_name_storeXaX_capXaX` in class `StoreTest`

    - #### get_g_V_storeXaX_byXoutEXcreatedX_countX_out_out_storeXaX_byXinEXcreatedX_weight_sumX_capXaX

          public Traversal<Vertex,Collection> get_g_V_storeXaX_byXoutEXcreatedX_countX_out_out_storeXaX_byXinEXcreatedX_weight_sumX_capXaX()

      Specified by:
        `get_g_V_storeXaX_byXoutEXcreatedX_countX_out_out_storeXaX_byXinEXcreatedX_weight_sumX_capXaX` in class `StoreTest`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.